﻿using System.IO;
using System.IO.IsolatedStorage;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Xml.Linq;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Docking;

namespace SaveLoadLayout
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{

		public MainWindow()
		{
			InitializeComponent();
		}

		private void SaveLayoutToFile()
		{
			using (IsolatedStorageFile storage = IsolatedStorageFile.GetUserStoreForAssembly())
			{
				using (var isoStream = storage.OpenFile("RadDocking_Layout.xml", FileMode.Create))
				{
					this.Docking.SaveLayout(isoStream);
					isoStream.Seek(0, SeekOrigin.Begin);
					StreamReader reader2 = new StreamReader(isoStream); 
				}
			}
		}

		private void LoadLayoutFromFile()
		{
			using (IsolatedStorageFile storage = IsolatedStorageFile.GetUserStoreForAssembly())
			{
				var isoStream = storage.OpenFile("RadDocking_Layout.xml", FileMode.Open);
				using (isoStream)
				{
					this.Docking.LoadLayout(isoStream);
				}
			}
		}

		private void SaveLayoutToFileButtonClick(object sender, RoutedEventArgs e)
		{
			this.SaveLayoutToFile();
			this.LoadLayoutFromFileButton.IsEnabled = true;
            this.LayoutGrid.Children.Remove(this.Docking);
		}

		private void LoadLayoutFromFileButtonClick(object sender, RoutedEventArgs e)
		{
            this.LayoutGrid.Children.Add(this.Docking);

            this.LoadLayoutFromFile();
		}

		private static void DisableButton(object sender)
		{
			var radButton = sender as RadButton;
			radButton.IsEnabled = false;
		}
	}
}
